Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Interface IResourceNavigator

All Superinterfaces:
  IAdaptable, IViewPart, IWorkbenchPart

All Known Implementing Classes:
  ResourceNavigator

public interface IResourceNavigator
extends IViewPart

This interface defines the API for the resource navigator. The action groups should restrict themselves to using this API.

This interface is not intended to be implemented by clients. Subclass `org.eclipse.ui.views.ResourceNavigator` instead.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`FrameList` | `getFrameList()` Returns the frame list for this navigator.
`ResourcePatternFilter` | `getPatternFilter()` Returns the pattern filter.
`ResourceSorter` | `getSorter()` Returns the current sorter.
`TreeViewer` | `getViewer()` Returns the viewer which shows the resource tree.
`IWorkingSet` | `getWorkingSet()` Returns the active working set, or `null`if none.``
`boolean` | `isLinkingEnabled()` Returns whether this navigator's selection automatically tracks the active editor.
`void` | `setFiltersPreference(String[] patterns)` Sets the values of the filter preference to be the strings in preference values
`void` | `setLinkingEnabled(boolean enabled)` Sets whether this navigator's selection automatically tracks the active editor.
`void` | `setSorter(ResourceSorter sorter)` Sets the current sorter.
`void` | `setWorkingSet(IWorkingSet workingSet)` Sets the working set for this view, or `null` to clear it.

Methods inherited from interface org.eclipse.ui.IViewPart
`getViewSite, init, init, saveState`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getPatternFilter

    public ResourcePatternFilter getPatternFilter()

  Returns the pattern filter.

  Returns:
    the pattern filter

### getWorkingSet

    public IWorkingSet getWorkingSet()

  Returns the active working set, or `null`if none.

  ``
  Returns:
    the active working set, or `null`if none``
  Since:
    2.0

### getSorter

    public ResourceSorter getSorter()

  Returns the current sorter.

### setSorter

    public void setSorter(ResourceSorter sorter)

  Sets the current sorter.

### setFiltersPreference

    public void setFiltersPreference(String[] patterns)

  Sets the values of the filter preference to be the strings in preference values

### getViewer

    public TreeViewer getViewer()

  Returns the viewer which shows the resource tree.

### getFrameList

    public FrameList getFrameList()

  Returns the frame list for this navigator.

### isLinkingEnabled

    public boolean isLinkingEnabled()

  Returns whether this navigator's selection automatically tracks the active editor.

  Returns:
    `true` if linking is enabled, `false` if not
  Since:
    2.1

### setWorkingSet

    public void setWorkingSet(IWorkingSet workingSet)

  Sets the working set for this view, or `null` to clear it.

  Parameters:
    `workingSet` - the working set, or `null` to clear it
  Since:
    2.0

### setLinkingEnabled

    public void setLinkingEnabled(boolean enabled)

  Sets whether this navigator's selection automatically tracks the active editor.

  Parameters:
    `enabled` - `true` to enable, `false` to disable
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.